[CalendarServer-changes] [12938] CalendarServer/trunk/bin/environment

source_changes at macosforge.org source_changes at macosforge.org
Tue Mar 18 11:44:31 PDT 2014


Revision: 12938
          http://trac.calendarserver.org//changeset/12938
Author:   wsanchez at apple.com
Date:     2014-03-18 11:44:30 -0700 (Tue, 18 Mar 2014)
Log Message:
-----------
Add environment script

Added Paths:
-----------
    CalendarServer/trunk/bin/environment

Added: CalendarServer/trunk/bin/environment
===================================================================
--- CalendarServer/trunk/bin/environment	                        (rev 0)
+++ CalendarServer/trunk/bin/environment	2014-03-18 18:44:30 UTC (rev 12938)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e
+set -u
+
+wd="$(cd "$(dirname "$0")/.." && pwd)";
+
+. "${wd}/bin/_build.sh";
+
+do_setup="false";
+
+develop > /dev/null;
+
+if [ $# -gt 0 ]; then
+  for name in "$@"; do
+    # Use python to avoid using eval.
+    "${python}" -c 'import os; print os.environ.get("'${name}'", "")';
+  done;
+else
+  env;
+fi;


Property changes on: CalendarServer/trunk/bin/environment
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140318/1d471a34/attachment-0001.html>


More information about the calendarserver-changes mailing list